/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 用户部门表
 *
 * @author JF
 * @date Wed Sep 18 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_SMPN_USERDEPT_X",resultMap = "userdeptMap")
@KeySequence("TF_SMPN_USERDEPT_X")
@ApiModel
public class Userdept extends Model<Userdept> {
    private static final long serialVersionUID = 1L;

        /**
     * 用户ID
     */
            @ApiModelProperty(value = "用户ID")
            private Long userId;
            /**
     * 部门ID
     */
            @ApiModelProperty(value = "部门ID")
                private Long deptId;
    /**
     * 公司ID
     */
            @ApiModelProperty(value = "公司ID")
                private Long companyId;
                /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
            
}
