/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.car;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.car.TfCarMaintenance;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 车辆维修保养记录表
 *
 * @author JF
 * @date Mon Nov 25 00:00:00 CST 2024
 */
public interface TfCarMaintenanceService extends IService<TfCarMaintenance> {

    boolean saveCarMaintenance(List<MultipartFile> fileList, TfCarMaintenance carMaintenance);

    boolean updateCarMaintenance(List<MultipartFile> fileList, TfCarMaintenance carMaintenance);

    boolean removeCarMaintenanceByIds(String ids);
}
