/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.TfWaterInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 水厂信息表
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface TfWaterInfoService extends IService<TfWaterInfo> {

    boolean saveWaterInfo(List<MultipartFile> fileList, TfWaterInfo waterInfo);

    boolean updateWaterInfo(List<MultipartFile> fileList, TfWaterInfo waterInfo);

    boolean removeWaterInfoByIds(String ids);
}
