/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.car;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.car.TfCarInsurance;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 车辆车险记录表
 *
 * @author JF
 * @date Mon Nov 25 00:00:00 CST 2024
 */
public interface TfCarInsuranceService extends IService<TfCarInsurance> {

    boolean saveCarInsurance(List<MultipartFile> fileList, TfCarInsurance carInsurance);

    boolean updateCarInsurance(List<MultipartFile> fileList, TfCarInsurance carInsurance);

    boolean removeCarInsuranceByIds(String ids);
}
