package com.tofly.scada.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 汇中流量计信息
 */
@Data
public class HzFlowMeterInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("仪表类型（1：居民仪表、2：非居民仪表、3：考核表、4：压力表）")
    private String type;

    @ApiModelProperty("仪表编号")
    private String factoryNumber;

    @ApiModelProperty("仪表名称")
    private String meterName;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("用户编号")
    private String userCode;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("口径")
    private String diameter;

    @ApiModelProperty("初装日期")
    private String installDate;

    @ApiModelProperty("隶属组织")
    private String orgName;

    @ApiModelProperty("隶属小区")
    private String areaName;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;
}
